Activity log for bug #1819504

Date Who What changed Old value New value Message
2019-03-11 18:32:29 Terry Rudd bug added bug
2019-03-11 18:33:28 Terry Rudd nominated for series Ubuntu Bionic
2019-03-11 18:33:28 Terry Rudd bug task added linux-gcp (Ubuntu Bionic)
2019-03-11 18:48:38 Terry Rudd linux-gcp (Ubuntu): assignee Kamal Mostafa (kamalmostafa)
2019-03-11 18:49:00 Terry Rudd linux-gcp (Ubuntu Bionic): assignee Kamal Mostafa (kamalmostafa)
2019-03-12 08:06:03 Stefan Bader linux-gcp (Ubuntu Bionic): status New In Progress
2019-03-12 08:06:08 Stefan Bader linux-gcp (Ubuntu Bionic): importance Undecided High
2019-03-12 08:06:15 Stefan Bader linux-gcp (Ubuntu): status New Invalid
2019-03-12 17:16:01 David Coronel bug added subscriber David Coronel
2019-03-18 15:35:05 Kamal Mostafa bug task added linux (Ubuntu)
2019-03-18 15:35:19 Kamal Mostafa linux (Ubuntu Bionic): status New In Progress
2019-03-18 15:35:21 Kamal Mostafa linux (Ubuntu Bionic): assignee Kamal Mostafa (kamalmostafa)
2019-03-18 15:43:12 Kamal Mostafa description With the 4.15.0 kernel version used in bionic GCP/GKE, if the tcmu user space code crashes while handling a netlink message from the kernel, the kernel module will be stuck waiting for the response. This situation can only be resolved with a server reboot. === SRU Justification === [Impact] With this particular user-space crash in the current Ubuntu image it results in a hang hobbles the entire physical server. [Fix] The request is for Canonical to backport the patch https://patchwork.kernel.org/patch/10319623/ to the bionic 4.15.0 kernel There were a number of mainline upstream commits to apply as part of the backport [Test] unavailable [Regression Potential] Low. it's all mainline commits, and affects only that driver. With the 4.15.0 kernel version used in bionic GCP/GKE, if the tcmu user space code crashes while handling a netlink message from the kernel, the kernel module will be stuck waiting for the response. This situation can only be resolved with a server reboot. === SRU Justification === [Impact] With this particular user-space crash in the current Ubuntu image it results in a hang hobbles the entire physical server. [Fix] The request is for Canonical to backport the patch https://patchwork.kernel.org/patch/10319623/ to the bionic 4.15.0 kernel [** CORRECTED: See comment #2 ***] There were a number of mainline upstream commits to apply as part of the backport [Test] unavailable [Regression Potential] Low. it's all mainline commits, and affects only that driver.
2019-03-18 15:43:25 Kamal Mostafa description With the 4.15.0 kernel version used in bionic GCP/GKE, if the tcmu user space code crashes while handling a netlink message from the kernel, the kernel module will be stuck waiting for the response. This situation can only be resolved with a server reboot. === SRU Justification === [Impact] With this particular user-space crash in the current Ubuntu image it results in a hang hobbles the entire physical server. [Fix] The request is for Canonical to backport the patch https://patchwork.kernel.org/patch/10319623/ to the bionic 4.15.0 kernel [** CORRECTED: See comment #2 ***] There were a number of mainline upstream commits to apply as part of the backport [Test] unavailable [Regression Potential] Low. it's all mainline commits, and affects only that driver. With the 4.15.0 kernel version used in bionic GCP/GKE, if the tcmu user space code crashes while handling a netlink message from the kernel, the kernel module will be stuck waiting for the response. This situation can only be resolved with a server reboot. === SRU Justification === [Impact] With this particular user-space crash in the current Ubuntu image it results in a hang hobbles the entire physical server. [Fix] The request is for Canonical to backport the patch https://patchwork.kernel.org/patch/10319623/ to the bionic 4.15.0 kernel [** CORRECTION: See comment #2 ***] There were a number of mainline upstream commits to apply as part of the backport [Test] unavailable [Regression Potential] Low. it's all mainline commits, and affects only that driver.
2019-03-18 15:45:51 Kamal Mostafa linux (Ubuntu Bionic): importance Undecided High
2019-03-18 16:00:05 Ubuntu Kernel Bot linux (Ubuntu): status New Incomplete
2019-03-18 16:17:41 Kamal Mostafa nominated for series Ubuntu Cosmic
2019-03-18 16:17:41 Kamal Mostafa bug task added linux (Ubuntu Cosmic)
2019-03-18 16:17:41 Kamal Mostafa bug task added linux-gcp (Ubuntu Cosmic)
2019-03-18 16:17:58 Kamal Mostafa linux (Ubuntu Cosmic): status New In Progress
2019-03-18 16:18:02 Kamal Mostafa linux (Ubuntu Cosmic): importance Undecided High
2019-03-18 16:18:04 Kamal Mostafa linux (Ubuntu Cosmic): assignee Kamal Mostafa (kamalmostafa)
2019-03-18 16:18:07 Kamal Mostafa linux-gcp (Ubuntu Cosmic): status New In Progress
2019-03-18 16:18:10 Kamal Mostafa linux-gcp (Ubuntu Cosmic): assignee Kamal Mostafa (kamalmostafa)
2019-03-18 16:18:11 Kamal Mostafa linux-gcp (Ubuntu Cosmic): importance Undecided High
2019-03-27 06:23:46 Khaled El Mously linux (Ubuntu Bionic): status In Progress Fix Committed
2019-03-27 06:23:49 Khaled El Mously linux (Ubuntu Cosmic): status In Progress Fix Committed
2019-04-04 18:02:29 Ubuntu Kernel Bot tags verification-needed-cosmic
2019-04-04 18:04:44 Ubuntu Kernel Bot tags verification-needed-cosmic verification-needed-bionic verification-needed-cosmic
2019-04-23 21:35:02 Launchpad Janitor linux (Ubuntu Cosmic): status Fix Committed Fix Released
2019-04-23 21:35:02 Launchpad Janitor cve linked 2017-5715
2019-04-23 21:38:10 Launchpad Janitor linux-gcp (Ubuntu Cosmic): status In Progress Fix Released
2019-04-24 07:39:21 Launchpad Janitor linux (Ubuntu Bionic): status Fix Committed Fix Released
2019-04-24 07:39:21 Launchpad Janitor cve linked 2017-5754
2019-04-24 07:39:21 Launchpad Janitor cve linked 2018-3639
2019-04-29 09:58:18 Launchpad Janitor linux-gcp (Ubuntu Bionic): status In Progress Fix Released
2019-04-29 09:58:55 Launchpad Janitor linux-gcp (Ubuntu): status Invalid Fix Released